SrndTruncQuery (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.surround.query, class: SrndTruncQuery

Package org.apache.lucene.queryparser.surround.query

# Class SrndTruncQuery

java.lang.Object
org.apache.lucene.queryparser.surround.query.SrndQuery
org.apache.lucene.queryparser.surround.query.SimpleTerm
org.apache.lucene.queryparser.surround.query.SrndTruncQuery

All Implemented Interfaces:
  `Cloneable`, `DistanceSubQuery`

public class SrndTruncQuery extends SimpleTerm
Query that matches wildcards

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

  `SimpleTerm.MatchingTermVisitor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SrndTruncQuery(String truncated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTruncated()`
  `String`
  `toStringUnquoted()`
  `void`
  `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

  ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

  `addSpanQueries, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

  ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

  `clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SrndTruncQuery

    public SrndTruncQuery(String truncated)

- ## Method Details

  - ### getTruncated

    public String getTruncated()

  - ### toStringUnquoted

    public String toStringUnquoted()
    Specified by:
      `toStringUnquoted` in class `SimpleTerm`

  - ### visitMatchingTerms

    public void visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv) throws IOException
    Specified by:
      `visitMatchingTerms` in class `SimpleTerm`
    Throws:
      `IOException`